it-swarm.com.de

Problem mit der Abhängigkeit der R Studio-Installation in Ubuntu 16.10

Sudo dpkg -i rstudio-1.0.136-AMD64.deb(Lendo banco de dados ... 213133
ficheiros e directórios actualmente instalados.)
A preparar para desempacotar rstudio-1.0.136-AMD64.deb ...
A descompactar rstudio (1.0.136) sobre (1.0.136) ...
dpkg: problemas com dependências impedem a configuração de rstudio:
rstudio depende de libjpeg62; porém:
Pacote libjpeg62 não está instalado.
rstudio depende de libgstreamer0.10-0; porém:
Pacote libgstreamer0.10-0 não está instalado.
rstudio depende de libgstreamer-plugins-base0.10-0; porém:
Pacote libgstreamer-plugins-base0.10-0 não está instalado.

dpkg: erro ao processar o pacote rstudio (--install):
problemas de dependência - deixando desconfigurado
A processar 'triggers' para shared-mime-info (1.7-1) ...
A processar 'triggers' para hicolor-icon-theme (0.15-1) ...
A processar 'triggers' para bamfdaemon (0.5.3+16.10.20160929-0ubuntu1)
...
Rebuilding /usr/share/applications/bamf-2.index...
A processar 'triggers' para gnome-menus (3.13.3-6ubuntu4) ...
A processar 'triggers' para desktop-file-utils (0.23-1ubuntu1) ...
A processar 'triggers' para mime-support (3.60ubuntu1) ...
Erros foram encontrados durante o processamento de: rstudio

Ich habe die gdebi-Lösung bereits ausprobiert, aber leider hat es nicht funktioniert. Wenn ich renne

Sudo gdebi rstudio-1.0.136-AMD64.deb

es erscheint:

Dependency is not satisfiable: libgstreamer0.10-0

Wenn Sie sich fragen, habe ich auch schon -f, autoclean, autoremove usw. installiert ... Aber alle lassen mich auch hier.

3
Lucas Carvalho
  1. Zuerst herunterladen und installieren libgstreamer0.10-0_0.10.36-1.5_AMD64.deb
  2. Laden Sie dann libgstreamer-plugins-base0.10-0_0.10.36-2_AMD64.deb herunter und installieren Sie es
  3. Versuchen Sie dann, R-Studio zu installieren
13
Djokester

RStudio hat eine neue Vorschau, die libgstreamer0.1 nicht benötigt (es verwendet den neuen libgstreamer1.0 in Ubuntu 16). Sie können es hier ausprobieren:

https://www.rstudio.com/products/rstudio/download/preview/

Dies wird der stabile Build in den nächsten Wochen.

3
Jonathan

Ich habe gerade Ubuntu 16.10 installiert und versucht, RStudio mit genau den gleichen Fehlermeldungen zu installieren. Der Sudo apt-get -f install funktioniert auch nicht.

Am Ende habe ich eine archivierte Version von RStudio installiert. Version 0.98.1103 scheint zu funktionieren. https://support.rstudio.com/hc/en-us/articles/206569407-Older-Versions-of-RStudio

1
Rob